#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 random-source
version:              0.3.0.13
visibility:           public
id:                   random-source-0.3.0.13-DygqKrMuXs026DfPPG3Ct4
key:                  random-source-0.3.0.13-DygqKrMuXs026DfPPG3Ct4
license:              LicenseRef-PublicDomain
maintainer:           James Cook <mokus@deepbondi.net>
author:               James Cook <mokus@deepbondi.net>
stability:            provisional
homepage:             https://github.com/mokus0/random-fu
synopsis:             Generic basis for random number generators
description:
    Random number generation based on entropy sources
    able to produce a small but well-defined set of
    primitive variates.  Also includes facilities for
    \"completing\" partial implementations, making it
    easy to define new entropy sources in a way that
    is naturally forward-compatible.
    Now DEPRECATED: see [README](#readme) for further
    details.

category:             Math
abi:                  2fc1cb1f1a99670b795d7e54516704ac
exposed:              True
exposed-modules:
    Data.Random.Internal.Source Data.Random.Internal.Words
    Data.Random.Source Data.Random.Source.DevRandom
    Data.Random.Source.IO Data.Random.Source.MWC
    Data.Random.Source.PureMT Data.Random.Source.Std
    Data.Random.Source.StdGen

hidden-modules:
    Data.Random.Source.Internal.Prim Data.Random.Source.Internal.TH

import-dirs:          /usr/lib/ghc-9.0.2/site-local/random-source-0.3.0.13
library-dirs:         /usr/lib/ghc-9.0.2/site-local/random-source-0.3.0.13
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-random-source
hs-libraries:         HSrandom-source-0.3.0.13-DygqKrMuXs026DfPPG3Ct4
depends:
    base-4.15.1.0 flexible-defaults-0.0.3-H1Z8aRScy4gHlLcjUaBsPo
    mersenne-random-pure64-0.2.2.0-Iaiq3TIRHeP5GVBOoyBqc7 mtl-2.2.2
    mwc-random-0.15.0.2-HJgmD7165tAJPOCESb9Yk5
    primitive-0.7.4.0-8SmDsFCxSqgE7BzeiM7pZ4
    random-1.2.1.1-Jsd8w3Sbg0mK17rOHVUzgD
    stateref-0.3-9u9QCRlvo9dHk1YF6aLbH9
    syb-0.7.2.3-F4C6wO1lPr57dhtwlEni6j template-haskell-2.17.0.0
    th-extras-0.0.0.6-1CWETrIiBrn2YSbUKZ50ix

haddock-interfaces:
    /usr/share/doc/haskell-random-source/html/random-source.haddock

haddock-html:         /usr/share/doc/haskell-random-source/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

